org.apache.hadoop.conf

## Interface Reconfigurable

- All Superinterfaces:
    Configurable
  All Known Implementing Classes:
    ReconfigurableBase

      public interface Reconfigurable
      extends Configurable

  Something whose `Configuration` can be changed at run time.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getReconfigurableProperties()` Return all the properties that can be changed at run time.
    `boolean` | `isPropertyReconfigurable(String property)` Return whether a given property is changeable at run time.
    `void` | `reconfigureProperty(String property, String newVal)` Change a configuration property on this object to the value specified.

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Method Detail

    - #### reconfigureProperty

          void reconfigureProperty(String property,
                                   String newVal)
                            throws ReconfigurationException

      Change a configuration property on this object to the value specified. Change a configuration property on this object to the value specified and return the previous value that the configuration property was set to (or null if it was not previously set). If newVal is null, set the property to its default value; If the property cannot be changed, throw a `ReconfigurationException`.
      Throws:
        `ReconfigurationException`

    - #### isPropertyReconfigurable

          boolean isPropertyReconfigurable(String property)

      Return whether a given property is changeable at run time. If isPropertyReconfigurable returns true for a property, then changeConf should not throw an exception when changing this property.

    - #### getReconfigurableProperties

          Collection<String> getReconfigurableProperties()

      Return all the properties that can be changed at run time.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.